﻿
$ErrorActionPreference = 'Stop';

$adocjVersion = '2.1.0'
$packageName= 'asciidoctorj'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://dl.bintray.com/asciidoctor/maven/org/asciidoctor/asciidoctorj/$($adocjVersion)/asciidoctorj-$($adocjVersion)-bin.zip"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '708bb954d09eeb862ed7627e743be8f96f2a67397c561ab56e85b6bc4650cc77'
  checksumType  = 'sha256'
}


Install-ChocolateyZipPackage @packageArgs

Install-BinFile -name 'asciidoctorj' -path "$toolsDir\asciidoctorj-$($adocjVersion)\bin\asciidoctorj.bat"
